Subject: bug#18824: split diff-check-labels off diff-no-select

From: Stefan Monnier <[email-masked]>
Date: Sat, 25 Oct 2014 22:41:16 -0400

> 	Please provide a separate diff-check-labels function to allow
> 	for the code calling diff.el facilities to supply its own
> 	--label= arguments to diff in place of diff.el-generated ones.

Sounds fine.  While you're at it, you might like to use this for
smerge-mode (which uses "-L" rather than "--label").

        Stefan